#ifndef	APP_TOOLS1
#define	APP_TOOLS1

#ifdef	__cplusplus
extern "C" {
#endif

BOOL	Fopen( LPCTSTR path, LPCTSTR modestr ) ;
void	Fclose( void ) ;
int		Fgetc( void ) ;
char*	Fgets( char *buf, int size ) ;
int		Fputc( int c ) ;
int		Fputs( const char *buf ) ;
int		Fread( char *buf, int size ) ;
void	Fwrite( const char *buf, int size ) ;
BOOL	Ferror( void ) ;
int		Fseek( long offset, int whence ) ;
void	slash2backslash( LPTSTR str ) ;
void	catdir( LPTSTR body, LPCTSTR adddir, LPTSTR pPrevDir ) ;
void	rel2abs( LPTSTR newPath, LPCTSTR oldPath, LPCTSTR adddir ) ;
int		stricmp( const char *src, const char *dst ) ;
int		strnicmp( const char *src, const char *dst, unsigned int len ) ;
//char *	strstr( const char *str1, const char *str2 ) ;
int		bcmp( char *s1, char *s2, int len ) ;
int		bzero( char *s, int len ) ;
void	strcat_num( char *str, int num ) ;
void	strcat_char( char *str, int c ) ;
//long	atol( const char *str ) ;
int		Sprintf( char *buf, const char *fmt, ... ) ;
int		SendClipboard( const char *sjis ) ;
int		ReceiveClipboard( char *sjis ) ;

#ifdef	__cplusplus
} ;
#endif

#endif	/* APP_TOOLS1 */
